package com.github.gkutiel;

import com.github.gkutiel.FlipLoggerDb.Log;

public enum FlipLogger {
	;

	public static Log[] get(final String key, final long minTime) {
		return FlipLoggerDb.LOG_DB.get(key, minTime);
	}

	public static String[] getKeys() {
		return FlipLoggerDb.LOG_DB.getKeys();
	}

	public static void log(final Enum<?> key, final Object... args) {
		log(key.name(), args);
	}

	public static void log(final String key, final Object... args) {
		FlipLoggerDb.LOG_DB.log(System.currentTimeMillis(), key, format(args));
	}

	private static String format(final Object[] args) {
		if (args == null) return "null";
		final StringBuilder str = new StringBuilder();
		for (final Object arg : args) {
			str.append(arg);
			str.append(" :: ");
		}
		return str.toString();
	}
}
